@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600;800&display=swap');

:root{
  --black:#192a56;
  --orange:#F95F1D;
  --yellow:#ffa801;
}

*{
  font-family: 'Nunito', sans-serif;
  margin:0; padding:0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none; border:none;
  text-transform: capitalize;
  transition: .2s linear;
}

html{
  font-size: 62.5%;
  overflow-x: hidden;
}


.gallery-container{
  max-width: 1200px;
  margin: 75px auto;
  text-align: center;
  padding:25px 20px;
}

.gallery-container .heading{
  font-size: 40px;
  margin-bottom: 20px;
  color:#334;
}

.gallery-container .box-gallery-container{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  gap:20px;
}

.gallery-container .box-gallery-container .box{
  background-color: #fff;
  /* padding:10px; */
  border-radius: 5px;
  box-shadow: 0 5px 10px rgba(0,0,0,.2);
  display: none;
}

.gallery-container .box-gallery-container .box:nth-child(1),
.gallery-container .box-gallery-container .box:nth-child(2),
.gallery-container .box-gallery-container .box:nth-child(3){
  display: inline-block;
}

.gallery-container .box-gallery-container .box .image{
  /* margin-bottom: 20px; */
  overflow: hidden;
  height: 250px;
  border-radius: 5px;
}

.gallery-container .box-gallery-container .box .image img{
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.gallery-container .box-gallery-container .box:hover .image img{
  transform: scale(1.1);
}

.gallery-container .box-gallery-container .box .content h3{
  font-size: 20px;
  color:#334;
}

.gallery-container .box-gallery-container .box .content p{
  font-size: 15px;
  color:#777;
  line-height: 2;
  padding:15px 0;
}

.gallery-container .box-gallery-container .box .content .btn{
  display: inline-block;
  padding:10px 30px;
  border:1px solid #334;
  color:#334;
  font-size: 16px;
}

.gallery-container .box-gallery-container .box .content .btn:hover{
  background-color: crimson;
  border-color: crimson;
  color:#fff;
}

.gallery-container .box-gallery-container .box .content .icons{
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 20px;
  padding-top: 15px;
  border-top:1px solid #334;
}

.gallery-container .box-gallery-container .box .content .icons span{
  font-size: 14px;
  color:#777;
}

.gallery-container .box-gallery-container .box .content .icons span i{
  color:crimson;
  padding-right: 5px;
}

#load-more{
  margin-top: 20px;
  display: inline-block;
  padding:13px 30px;
  border:1px solid #334;
  color:#334;
  font-size: 16px;
  background-color: #fff;
  cursor: pointer;
}

#load-more:hover{
  background-color: crimson;
  border-color: crimson;
  color:#fff;
}

@media (max-width:450px){

  .gallery-container .heading{
    font-size: 25px;
  }

  .gallery-container .box-gallery-container{
    grid-template-columns: 1fr;
  }

  .gallery-container .box-gallery-container .box .image{
    height: 200px;
  }

  .gallery-container .box-gallery-container .box .content p{
    font-size: 12px;
  }

  .gallery-container .box-gallery-container .box .content .icons span{
    font-size: 12px;
  }

}



section{
  padding:0 7%;
  padding-top: 7.5rem;
  padding-bottom: 3rem;
  min-height: 100vh;
}

.btn{
  display: inline-block;
  margin-top: 1rem;
  padding:.7rem 2.5rem;
  font-size: 1.7rem;
  color:var(--yellow);
  border:.2rem solid var(--yellow);
  cursor: pointer;
  background:none;
}

.btn:hover{
  background:var(--yellow);
  color:#fff;
}

.heading{
  text-align: center;
  color:var(--black);
  padding:1rem;
  text-transform: uppercase;
  font-size: 4.5rem;
}

header{
  position: fixed;
  top:0; left:0;
  width:100%;
  z-index: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding:0.1rem 7%;
  box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
  background:#fff;
  z-index: 1000;
}

header .logo{
  font-size: 2.5rem;
  color:#666;
  font-weight: bolder;
}

header .navbar a{
  font-size: 2rem;
  margin-left: 2.5rem;
  color:var(--black);
}

header .navbar a:hover{
  color:var(--orange);
}

#menu-bar{
  font-size: 3rem;
  color:var(--black);
  cursor: pointer;
  display: none;
}

.home{
  display: flex;
  align-items: center;
  background:url(../images/homebg.png) no-repeat;
  background-size: cover;
  background-position: center;
  flex-wrap: wrap;
}

.home .image{
  padding-top: 4rem;
  flex:1 1 40rem;
}

.home .content{
  padding:1rem;
  flex:1 1 40rem;
}

.home .content h3{
  color:#fff;
  font-size: 5.5rem;
  text-transform: uppercase;
}

.home .content p{
  color:#fff;
  font-size: 1.7rem;
}

.home .image img{
  width:100%;
}

.home .content .btn{
  color:#444;
  background:#fff;
}

.home .content .btn:hover{
  color:#fff;
  background:none;
  border-color: #fff;
}

.feature .box-container{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.feature .box-container .box{
  margin:1rem;
  text-align: center;
  /* padding:2rem 4rem; */
  border:.1rem solid rgba(0,0,0,.2);
  flex:1 1 30rem;
}

.feature .box-container .box h3{
  font-size: 2.5rem;
  color:var(--black);
  padding:1rem 0;
}

.feature .box-container .box p{
  font-size: 1.3rem;
  color:#666;
  padding-bottom:1rem;
}

.service{
  background:var(--black);
}

.service .heading{
  color:#fff;
}

.service .box-container{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.service .box-container .box{
  padding:4rem;
  margin:1rem;
  flex:1 1 30rem;
  border:.1rem solid #fff3;
  text-align: center;
}

.service .box-container .box h3{
  font-size: 2.5rem;
  color:#fff;
  padding:1rem 0;
}

.service .box-container .box p{
  font-size: 1.5rem;
  color:#fff;
  padding-bottom:1rem;
}

/* .service .box-container .box:hover{
  background:#fff;
}

.service .box-container .box:hover h3{
  color:var(--black);
}

.service .box-container .box:hover p{
  color:#666;
} */

.project .box-container{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.project .box-container .box{
  margin:1rem;
  border:.1rem solid rgba(0,0,0,.2);
  overflow: hidden;
  height: 25rem;
  flex:1 1 30rem;
  position: relative;
  cursor: pointer;
}

.project .box-container .box img{
  height: 100%;
  width:100%;
  object-fit: cover;
}

.project .box-container .box .number{
  position: absolute;
  top:.2rem; right: 1.5rem;
  font-size: 5rem;
  color:rgba(0,0,0,.2);
  font-weight: bolder;
  z-index: 10;
}

.project .box-container .box::before{
  content: '';
  position: absolute;
  top:0; left:0;
  height: 100%;
  width:100%;
  /* background:#fff; */
  transition: .3s ease-out;
  clip-path: circle(30% at 95% 0);
}

.project .box-container .box:hover::before{
  clip-path: circle(0%);
}

.project .box-container .box .info{
  position: absolute;
  top:70%; left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
  opacity: 0;
}

.project .box-container .box:hover .info{
  transition-delay: .2s;
  opacity: 1;
  top:50%;
}

.project .box-container .box .info h3{
  color:var(--black);
  font-size: 2.5rem;
}

.project .box-container .box .info p{
  color:#666;
  font-size: 2rem;
}

.team{
  background:var(--yellow);
}

.team .heading{
  color:#000;
}

.team .box-container{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.team .box-container .box{
  width:30rem;
  background:#fff;
  position: relative;
  margin:1rem;
  text-align: center;
  padding-top: 4rem;
  padding-bottom: 8rem;
}

.team .box-container .box img{
  /* height:10rem; */
  width:10rem;
  border-radius: 50%;
  object-fit: cover;
}

.team .box-container .box h3{
  font-size: 1.5rem;
  color:var(--black);
}

.team .box-container .box span{
  font-size: 1.5rem;
  color:var(--orange);
}

.team .box-container .box p{
  padding:1rem 2.5rem;
  font-size: 1.3rem;
  color:#666;
}

.team .box-container .box .share{
  position: absolute;
  bottom: 0; left: 0;
  width: 100%;
  background:var(--orange);
  display: flex;
  justify-content: center;
}

.team .box-container .box .share a{
  height: 4.5rem;
  width: 4.5rem;
  line-height: 4.5rem;
  color:#fff;
  font-size: 1.7rem;
}

.team .box-container .box .share a:hover{
  background:#fff;
  color:var(--black);
}

.price{
  background:var(--black);
}

.price .heading{
  color:#fff;
}

.price .box-container{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.price .box-container .box{
  flex:1 1 35rem;
  margin:1rem;
  text-align: center;
  /* padding:4rem; */
  border:.1rem solid var(--yellow);
}

.price .box-container .box h3{
  font-size: 3rem;
  color:#fff;
  padding: 1rem 0;
}

.price .box-container .box .amount{
  display: flex;
  justify-content: center;
  font-size: 6rem;
  color:var(--yellow);
}

.price .box-container .box .amount span{
  font-size: 2.5rem;
}

.price .box-container .box p{
  color:#eee;
  font-size: 1.8rem;
  padding:1rem 0;
}

.contact .row{
  display: flex;
  flex-wrap: wrap;
  border:.1rem solid rgba(0,0,0,.2);
  box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
}

.contact .row form{
  flex:1 1 40rem;
  padding:2rem;
}

.contact .row .map{
  flex:1 1 40rem;
  width:100%;
}

.contact .row form .inputBox{
  position: relative;
}

.contact .row form .inputBox input, .contact .row form .inputBox textarea{
  width: 100%;
  margin:1.5rem 0;
  padding:.7rem 1rem;
  font-size: 1.7rem;
  color:#666;
  border:.1rem solid rgba(0,0,0,.2);
  text-transform: none;
}

.contact .row form .inputBox textarea{
  height: 15rem;
  resize: none;
}

.contact .row form .inputBox label{
  font-size: 1.5rem;
  position: absolute;
  top:2.5rem; left:1rem;
  color:#444;
}

.contact .row form .inputBox input:focus ~ label,
.contact .row form .inputBox textarea:focus ~ label,
.contact .row form .inputBox input:valid ~ label,
.contact .row form .inputBox textarea:valid ~ label{
  top:-.7rem; left:0;
  color:var(--orange);
}

.footer{
  background:var(--black);
}

.footer .box-container{
  display: flex;
  flex-wrap: wrap;
}

.footer .box-container .box{
  margin:2rem;
  flex:1 1 25rem;
}

.footer .box-container .box h3{
  font-size: 2.5rem;
  color:#fff;
  padding:1rem 0;
}

.footer .box-container .box p{
  font-size: 1.5rem;
  color:#fff;
  padding:.5rem 0;
}

.footer .box-container .box a{
  display: block;
  font-size: 1.5rem;
  color:#fff;
  padding:.5rem 0;
}

.footer a:hover{
  text-decoration: underline;
}

.footer .credit{
  font-size: 1rem;
  background:#fff;
  color:#444;
  text-align: center;
  padding:0.5rem 1rem;
  letter-spacing: .1rem;
}

.footer .credit a{
  color:var(--orange);
}
















/* media queries  */

@media (max-width:1200px){

  html{
    font-size: 55%;
  }

}

@media (max-width:991px){

  section{
    padding:0 3%;
    padding-top: 7.5rem;
    padding-bottom: 3rem;
  }

}

@media (max-width:768px){

  #menu-bar{
    display: block;
  }

  header .navbar{
    position: absolute;
    top:100%; left: 0;
    width:100%;
    background:#eee;
    height:calc(100vh - 100%);
    border-top: .1rem solid rgba(0,0,0,.2);
    display: none;
  }

  header .navbar.nav-toggle{
    display: block;
  }

  header .navbar a{
    margin:1rem;
    display: block;
    padding:1.3rem 0;
    background:#fff;
    text-align: center;
    border:.1rem solid #444;
    animation: nav-links .1s linear backwards;
    animation-delay: calc(.1s * var(--i));
  }

  @keyframes nav-links{
      0%{
        transform:translateY(-50rem);
        opacity: 0;
      }
  }

  .fa-times{
    transform: rotate(180deg);
  }

  .home .content{
    text-align: center;
  }

  .home .content h3{
    font-size: 4rem;
  }

}

@media (max-width:450px){

  html{
    font-size: 50%;
  }

  .heading{
    font-size: 3.5rem;
  }

  .team .box-container .box{
    width:100%;
  }

}



.faq .accordion-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 2rem;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
}

.faq .accordion-container .accordion {
  -webkit-box-flex: 1;
      -ms-flex: 1 1 40rem;
          flex: 1 1 40rem;
  border: 0.1rem solid #1d791d;
}

.faq .accordion-container .accordion.active .accordion-heading {
  background: #1d791d;
}

.faq .accordion-container .accordion.active .accordion-heading h3 {
  color: #fff;
}

.faq .accordion-container .accordion.active .accordion-heading i {
  color: #fff;
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.faq .accordion-container .accordion.active .accordion-content {
  display: block;
}

.faq .accordion-container .accordion .accordion-heading {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 1rem;
  cursor: pointer;
  padding: 1.5rem;
}

.faq .accordion-container .accordion .accordion-heading h3 {
  font-size: 2rem;
  text-transform: capitalize;
  color: #444;
}

.faq .accordion-container .accordion .accordion-heading i {
  font-size: 2rem;
  color: #1d791d;
}

.faq .accordion-container .accordion .accordion-content {
  padding: 1.5rem;
  font-size: 1.5rem;
  line-height: 2;
  color: #777;
  border-top: 0.1rem solid #1d791d;
  display: none;
}


.whatsapp-btn-container {
    position: fixed;
    opacity: 0;
    bottom: -50px;
    padding: 0px 25px 0px 36px;
    animation: fade-up 1000ms forwards;
    animation-delay: 1000ms;
}

@keyframes fade-up {
    100% {
        bottom: 24px;
        opacity: 1;
    }
}

.whatsapp-btn-container .whatsapp-btn {
    font-size: 48px;
    color: #25d366;
    display: inline-block;
    transition: all 400ms;
}

.whatsapp-btn-container .whatsapp-btn:hover {
    transform: scale(1.2);
}

.whatsapp-btn-container span {
    position: absolute;
    top: 0;
    left: 4px;
    font-family: "Roboto", sans-serif;
    font-weight: bold;
    color: #075e54;
    transform: rotateZ(20deg) translateX(10px);
    opacity: 0;
    transition: all 400ms;
}

.whatsapp-btn-container .whatsapp-btn:hover + span {
    transform: rotateZ(0deg) translateX(0px);
    opacity: 1;
}